package com.dzeio.openhealth.ui.water

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.water.Water
import com.dzeio.openhealth.data.water.WaterRepository
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.collectLatest
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class WaterHomeViewModel@Inject internal constructor(
    private val waterRepository: WaterRepository
) : BaseViewModel() {
    val items: MutableLiveData<List<Water>> = MutableLiveData()

    fun init() {
        viewModelScope.launch {
            waterRepository.getWaters().collectLatest {
                items.postValue(it)
            }
        }
    }
}