package com.dzeio.openhealth.units

enum class WeightUnit(
    val unit: String,
    val fromKG: Float
) {
    KG("kg", 1f),
    LBS("lbs", 2.2046226218488f);

    companion object {
        fun fromSettings(value: String): WeightUnit {
            return when (value.lowercase()) {
                "kilogram" -> KG
                "pounds" -> LBS
                else -> KG
            }
        }
    }
}
