package com.dzeio.openhealth.utils

import android.app.ActivityManager
import android.content.Context
import android.content.Intent
import android.util.Log
import com.dzeio.openhealth.ui.MainActivity

object ServiceUtils {
    fun <T> startService(context: Context, service: Class<T>) {
        val activityManager = context.getSystemService(Context.ACTIVITY_SERVICE) as ActivityManager
        for (runninService in activityManager.getRunningServices(Integer.MAX_VALUE)) {
            if (service.name.equals(runninService.service.className)) {
                Log.w(MainActivity.TAG, "Service already existing, not starting again")
                return
            }
        }
        Log.i(MainActivity.TAG, "Starting service ${service.name}")
        Intent(context, service).also { intent -> context.startService(intent) }
    }
}